/*
 * $Id: Parameters_print.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/RegisterFile/include/Parameters.h"
#include "Behavioural/include/XML.h"

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace registerfile {


  std::string Parameters::print (uint32_t depth)
  {
    log_printf(FUNC,RegisterFile,"print","Begin");

    std::string _return;

    if (_instance == instance_RegisterFile_Monolithic)
      _return = _param_registerfile_monolithic  ->print(depth);
    else
      _return = _param_registerfile_multi_banked->print(depth);

    log_printf(FUNC,RegisterFile,"print","End");
    
    return _return;
  };

  std::ostream& operator<< (std::ostream& output_stream ,
			    morpheo::behavioural::generic::registerfile::Parameters & x)
  {
    output_stream << x.print(0);
    
    return output_stream;
  };

}; // end namespace registerfile
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
